View Issue Details

IDProjectCategoryView StatusLast Update
0000705OpenFOAM[All Projects] Bugpublic2016-06-02 11:06
Reporteruser566Assigned Touser4 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAMD 64 Phenom II ProcessorOSCentOSOS Version6.2
Product Version 
Fixed in Version 
Summary0000705: ideasUnvToFoam aborts when trying to convert .unv file containing groups describing internal faces
DescriptionI am trying to simulate a simple model consisting of a box with a short inlet pipe at the bottom and short outlet pipe at the top. I created a face with a small hole in the center to act as an orifice in the middle of the box with hopes of learning to explore how flow is affected by different baffle designs. I used the Partition tool in Salome along with the face to create geometry that would allow me to include this "baffle" as a group in my mesh. After exporting to .unv and using ideasUnvToFoam I get the following output:
/*---------------------------------------------------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 2.1.1 |
| \\ / A nd | Web: www.OpenFOAM.org |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
Build : 2.1.1-221db2718bbb
Exec : ideasUnvToFoam baffle.unv
Date : Dec 16 2012
Time : 10:55:36
Host : ""
PID : 30004
Case : /state/partition1/home/jfoster533/run/baffle
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster
allowSystemOperations : Disallowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Processing tag:164
Starting reading units at line 3.
l:1
units:" SI: Meter (newton)"
unitType:2
Unit factors:
Length scale : 1
Force scale : 1
Temperature scale : 1
Temperature offset : 273.15


Processing tag:2420
Skipping tag 2420 on line 9
Skipping section at line 9.

Processing tag:2411
Starting reading points at line 20.
Read 15447 points.

Processing tag:2412
Starting reading cells at line 30917.
First occurrence of element type 11 for cell 1 at line 30918
First occurrence of element type 41 for cell 452 at line 32271
First occurrence of element type 111 for cell 15877 at line 63121
Read 69975 cells and 15425 boundary faces.

Processing tag:2467
Starting reading patches at line 203073.
For group 1 named baffle trying to read 1833 patch face indices.
For group 2 named inlet trying to read 68 patch face indices.
For group 3 named outlet trying to read 68 patch face indices.
For group 4 named wall trying to read 13456 patch face indices.

Of 15425 so-called boundary faces 1833 belong to two cells and are therefore internal
Sorting boundary faces according to group (patch)
0: baffle is faceZone
1: inlet is patch
2: outlet is patch
3: wall is patch

Constructing mesh with non-default patches of size:
inlet 68
outlet 68
wall 13456

Adding cell and face zones
Face Zone baffle 1833
ideasUnvToFoam: ideasUnvToFoam.C:1269: int main(int, char**): Assertion `noveau > -1' failed.
Aborted

I would greatly appreciate any advice as to how to work around this problem. I have also tried to seperate the model into two solids: one above the baffle and one below and build a compound solid from the two. I was able to export this to .unv as well with the very same failure as listed above.
Steps To ReproduceCopy file baffle.unv to case directory.
Navigate to the case directory.
Enter "ideasUnvToFoam baffle.un" in the command line and press enter.
Additional InformationI am attaching the .unv file I am trying to convert. I changed the resolution of the mesh to a much lower value in this file so that it would be under the upload size limitation, but they still produce the same error.
TagsNo tags attached.

Activities

user566

2012-12-16 21:17

 

baffle.unv (380,812 bytes)

user4

2013-03-14 09:47

  ~0002002

fixed in e7740753a966a6e94176c6ef03be39dd72175e4f

Issue History

Date Modified Username Field Change
2012-12-16 21:17 user566 New Issue
2012-12-16 21:17 user566 File Added: baffle.unv
2013-03-14 09:47 user4 Note Added: 0002002
2013-03-14 09:47 user4 Status new => resolved
2013-03-14 09:47 user4 Fixed in Version => 2.2.x
2013-03-14 09:47 user4 Resolution open => fixed
2013-03-14 09:47 user4 Assigned To => user4